#Pirmide sexo e idade

library(ggplot2)
library(tidyverse)
library(gganimate)

#criando dataset

Idade <- c("1", "2", "3", "4", "5", "6", "7", "1", "2", "3", "4", "5", "6", "7") 

sexo = c("Women", "Women", "Women", "Women", "Women", "Women", "Women", 
         "Men", "Men", "Men", "Men", "Men", "Men", "Men") 
pop_idade = c(1521, 2827, 8501, 11241, 9106, 5508, 5804,
              1590, 2470, 5840, 8163, 6650, 4060, 3981) 


sum(pop_idade)

piramide <- data.frame(Idade, sexo, pop_idade)


idade_sexo<- ggplot(piramide, 
       mapping = aes(x = `Idade`,
                     y = ifelse(test = sexo == "Women",  yes = pop_idade, no = -pop_idade), fill = sexo)) +
  geom_bar(stat = "identity") +
  scale_y_continuous(breaks = c(-9000, -6000, -3000, 0, 3000, 6000, 9000, 12000),
                     labels = c(9000, 6000, 3000, 0, 3000, 6000, 9000, 12000)) +
  scale_x_discrete(labels = c("0 to 9", "10 to 19", "20 to 29", "30 to 39",
                              "40 to 49", "50 to 59", ">60")) +
  labs(y = "Number of COVID-19 Positive Cases", x = "Age Clusters") +
  scale_fill_manual(values = c("#737373","#cb6ce6")) +
  coord_flip() + theme_classic() +
  theme(legend.position="none") + theme(axis.text.x = element_text(size = 5.5), 
                                      axis.text.y = element_text(size = 7), 
                                      axis.title = element_text(size = 7))
idade_sexo

#.png
#Abre
png("idades_sexo.png",height = 8.14, width = 13.61, 
    units = 'cm',res=600)
#Joga o grfico
idade_sexo
#grava e fecha
dev.off()  
getwd()
