#packages
library(ggplot2)
library(tidyr)

Data <- read.csv2(file.choose(),header = T, sep = "\t")

# create data
# x Axis
time <- Data$SEM_EPI_DATASET
# y Axis
value <- Data$Brasil              

# group, one shape per group
group <- Data$VARIANTE      

#data frame
data <- data.frame(time, value, group)

# stacked area chart
Graph_area <- ggplot(data, aes(x=time, y=value, fill=group)) + geom_area() +
  scale_x_continuous(breaks = c(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27), 
                     labels = c("", "35", "36", "37", "38",
                                "39", "40", "41",
                                "42", "43", "44",
                                "45", "46", "47",
                                "48", "49", "50", "51", 
                                "52", "01", "02", "03",
                                "04", "05", "06", "07",
                                "08", "09")) +
  scale_fill_manual(values=c("#D41159", "#5D3A9B"), 
                    labels= c("Non-SGTF", "SGTF"))+
  labs(y = "Percentage (%)", x = "Epidemiological Week") + 
  theme_classic() +
  theme(legend.position="none") + theme(axis.text.x = element_text(size = 6, color = "black"), 
                                        axis.text.y = element_text(size = 7, color = "black"), 
                                        axis.title = element_text(size = 7, color = "black"))
Graph_area

#saving .png
png("Graph_area.png", height = 6.1, width = 11, 
    units = 'cm',res=600)
Graph_area
dev.off() 
getwd()
