library(ggplot2)
library(tidyr)


df <- read.csv2(file.choose(),header = T, sep = "\t")

x = gather(df, key = "city", value = "percent", 5:16)

nax = which(x$percent == 0)

is.na(x$percent) <- nax

x = x[order(x$percent, decreasing = TRUE),]

bolinhas <- ggplot(x, aes(x=city, y=SEM_EPI_DATASET, size=percent, fill= VARIANTE)) + 
  scale_y_continuous(breaks = c(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27), 
                     labels = c("", "35/2021", "36/2021", "37/2021", "38/2021",
                                "39/2021", "40/2021", "41/2021",
                                "42/2021", "43/2021", "44/2021",
                                "45/2021", "46/2021", "47/2021",
                                "48/2021", "49/2021", "50/2021", "51/2021", 
                                "52/2021", "01/2022", "02/2022", "03/2022",
                                "04/2022", "05/2022", "06/2022", "07/2022",
                                "08/2022", "09/2022")) + 
  scale_x_discrete(labels = c("Belm", "Belo Horizonte", "Boa Vista", "Braslia",
                              "Fortaleza", "Goinia", "Macap", "Manaus", "Palmas",
                              "Porto Velho", "Rio de Janeiro", "So Paulo"))+
  geom_point(shape = 21, colour = "black", stroke = 0.2) + 
  scale_fill_manual(values=c("#D41159", "#5D3A9B")) +
  scale_size(range = c(.05, 3), name="Predominance (%)") +
  theme_classic() +
  ylab("Epidemiological week") +
  xlab("Capital") +  theme(legend.position="none") + theme(axis.text.x = element_text(size = 7, angle = 90, color = "black"), 
                                                           axis.text.y = element_text(size = 7, color = "black"), 
                                                           axis.title = element_text(size = 7, color = "black"))
bolinhas


#saving .png
png("bolinhas_3.png",height = 10, width = 14, 
    units = 'cm',res=600)
bolinhas

dev.off() 

getwd()
                                                   