#install.packages("meta")
#install.packages("openxlsx")
#install.packages("grid")
#install.packages("cowplot")
library(meta)						
library(openxlsx)					
library(grid)						
library(cowplot)					

#setwd("C:/Users/frederico.malta/Documents/Frederico/Projetos/Coronavirus/artigo_coronavirus/variantes_capitais_sintoma2")

#source("MetanaliseHP_analise_NVAC.R")

setwd("C:/Users/frederico.malta/Documents/Frederico/Projetos/Coronavirus/artigo_coronavirus/variantes_capitais_sintoma2/gov_sintomas/metanalise")
### IFTIM3
sheet <- c("Support_Ven", "ICU", "Death", "Sex")
lista_all <- list()
for(s in 1:length(sheet)){

	dados <- readWorkbook("Metanalise_POS_VAC&NVAC_v1.xlsx",sheet = s)   ##### Planilha da febre
	resultado <- metabin(Omicron_sim,Omicron_total, Delta_sim, Delta_total,studlab= Cidade,
		data=dados, sm="OR", fixed=TRUE, random= TRUE) 
	forest(resultado,lab.e = "Case", lab.c = "Control", leftlabs = c(sheet[s], NA, NA, NA, NA))
	assign(paste0("resultado_",s), grid.grab(width = 2, height=2))
	lista_all[s] <- mget(paste0("resultado_",s))
}

lista <- sheet

filename <- readline(prompt="Escolha o nome do arquivo desta anlise: ")
"%ni%" <- Negate("%in%")
escolha_in <- menu(lista, title = "Selecione sua opo ou 0 se desejar encerrar o menu.")
escolha <- lista[escolha_in]
while (0 %ni% escolha_in){
	lista <- lista[which(lista %ni% escolha)]
	escolha_in <- menu(lista, title = "Selecione sua opo ou 0 se desejar encerrar o menu.")
	escolha <- append(escolha, lista[escolha_in])
}
ind_escolha <- which(sheet %in% escolha)
png(file = paste0(filename, ".png"), width = 6000, height = 2300 * length(ind_escolha),res=600)  #abrir a captura
plots <- lista_all[ind_escolha]
plot_grid(plotlist = plots, labels = "AUTO", ncol = 1)
dev.off()
	




